package com.trade.service.contract.util.esign.entity;

/**
 * @Description:流程附件
 * @Author:胡利
 * @E-mail:2511461589@qq.com
 * @Date:2021年3月30日 下午3:50:11
 */
public class ESignContractAttachment {

    /**
     * 附件名称，（必须带上文件扩展名，不然会导致后续发起流程校验过不去 示例：合同.pdf ）；</br>
     * 注意：该字段的文件后缀名称和真实的文件后缀需要一致。比如上传的文件类型是word文件，那该参数需要传“xxx.docx”，不能是“xxx.pdf”；</br>
     * 示例值:合同.pdf</br>
     * 是否必选：是
     */
    private String attachmentName;
    /**
     * 附件Id</br>
     * 是否必选：是
     */
    private String fileId;

    public ESignContractAttachment(){
    }

    public ESignContractAttachment(String attachmentName, String fileId){
        this.attachmentName = attachmentName;
        this.fileId = fileId;
    }

    public String getAttachmentName() {
        return attachmentName;
    }

    public void setAttachmentName(String attachmentName) {
        this.attachmentName = attachmentName;
    }

    public String getFileId() {
        return fileId;
    }

    public void setFileId(String fileId) {
        this.fileId = fileId;
    }
}
